Pod::Html(3)

NAME
Pod::Html - module to convert pod files to HTML

SYNOPSIS
    use Pod::Html;
    pod2html([options]);

DESCRIPTION
Converts files from pod format (see the perlpod manpage) to HTML format. It can automatically generate indexes and cross-references, and it keeps a cache of things it knows how to cross-reference.

ARGUMENTS
Pod::Html takes the following arguments:
    --backlink="Back to Top"
Adds "Back to Top" links in front of every HEAD1 heading (except for the first). By default, no backlink are being generated.
    --css=stylesheet
Specify the URL of a cascading style sheet.
    --flush
Flushes the item and directory caches.
    --header
    --noheader
Creates header and footer blocks containing the text of the NAME section. By default, no headers are being generated.
    --help
Displays the usage message.
    --htmldir=name
Sets the directory in which the resulting HTML file is placed. This is used to generate relative links to other files. Not passing this causes all links to be absolute, since this is the value that tells Pod::Html the root of the documentation tree.
    --htmlroot=name
Sets the base URL for the HTML files. When cross-references are made, the HTML root is prepended to the URL.
    --index
    --noindex
Generate an index at the top of the HTML file. This is the default behaviour.
    --infile=name
Specify the pod file to convert. Input is taken from STDIN if no infile is specified.
    --libpods=name:...:name
List of page names (eg, "perlfunc") which contain linkable "=item"s.
    --netscape
    --nonetscape
Use Netscape HTML directives when applicable. By default, they will not be used.
    --outfile=name
Specify the HTML file to create. Output goes to STDOUT if no outfile is specified.
    --podpath=name:...:name
Specify which subdirectories of the podroot contain pod files whose HTML converted forms can be linked-to in cross-references.
    --podroot=name
Specify the base directory for finding library pods.
    --quiet
    --noquiet
Don't display mostly harmless warning messages. These messages will be displayed by default. But this is not the same as "verbose" mode.
    --recurse
    --norecurse
Recurse into subdirectories specified in podpath (default behaviour).
    --title=title
Specify the title of the resulting HTML file.
    --verbose
    --noverbose
Display progress messages. By default, they won't be displayed.

EXAMPLE
    pod2html("pod2html",
             "--podpath=lib:ext:pod:vms",
             "--podroot=/usr/src/perl",
             "--htmlroot=/perl/nmanual",
             "--libpods=perlfunc:perlguts:perlvar:perlrun:perlop",
             "--recurse",
             "--infile=foo.pod",
             "--outfile=/perl/nmanual/foo.html");

ENVIRONMENT
Uses $Config{pod2html} to setup default options.

AUTHOR
Tom Christiansen, <tchrist@perl.com>.

SEE ALSO
the perlpod manpage

COPYRIGHT
This program is distributed under the Artistic License.